#ifndef PSOFIT_LIMITS_CPP
#define PSOFIT_LIMITS_CPP

#include "config.hpp"

/**
 * Search bounds.
 * 
 * Format:
 * 
 * p1_min p1_max
 * p2_min p2_max
 * ...
 * pm_min pm_max
 */
struct Limits : vector<Limit> {
    Limits() {
        resize(N_PARAMS);
    }
    
    void read(FILE* f) {
        for(int i = 0; i < N_PARAMS; ++i) {
            Limit& l = at(i);
            fscanf(f, "%lf %lf", &l.first, &l.second);
        }
    }
    
    void print(FILE* f) {
        for(int i = 0; i < N_PARAMS; ++i) {
            Limit& l = at(i);
            fprintf(f, "%g %g\n", l.first, l.second);
        }
    }
};

#endif
